commit:     5d73a5b4db1ef7c34466b82807be8e28af0a44de
Author:     Mike Frysinger <vapier <AT> chromium <DOT> org>
AuthorDate: Wed Jan 31 15:47:18 2018 +0000
Commit:     Mike Frysinger <vapier <AT> gentoo <DOT> org>
CommitDate: Wed Jan 31 15:49:45 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5d73a5b4

app-arch/pbzip2: fix builds w/newer clang

Bug: https://crbug.com/806102
Bug: https://bugs.launchpad.net/pbzip2/+bug/1746369

 app-arch/pbzip2/pbzip2-1.1.13.ebuild | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/app-arch/pbzip2/pbzip2-1.1.13.ebuild 
b/app-arch/pbzip2/pbzip2-1.1.13.ebuild
index ff11b13040b..8f83901fc49 100644
--- a/app-arch/pbzip2/pbzip2-1.1.13.ebuild
+++ b/app-arch/pbzip2/pbzip2-1.1.13.ebuild
@@ -22,6 +22,8 @@ DEPEND="${RDEPEND}
        static? ( ${LIB_DEPEND} )"
 
 src_prepare() {
+       # https://bugs.launchpad.net/pbzip2/+bug/1746369
+       sed -i 's:"PRIuMAX":" PRIuMAX ":g' *.cpp || die
        epatch "${FILESDIR}"/${PN}-1.1.10-makefile.patch
        tc-export CXX
        use static && append-ldflags -static

Reply via email to